Get Custom Metadata Ingestion Status

Prev Next
Get
/api/v1/DataSteward/data-sources/{dataSourceId}/custom-metadata/{taskKey}

Returns the status of a specified custom metadata ingestion

Path parameters
dataSourceId
integer (int32) Required

Id of the data source being refreshed

taskKey
stringRequired

Key of the custom ingestion being checked

Responses
200

OK

Expand All
object
levels
Array of object (Configuration.Api.Models.v1.CustomIngestLevelResult)
object
dateStarted
string (date-time)
dateCompleted
string (date-time) | null
status
object (Configuration.Api.Models.v1.Common.KeyValue)
objectType
object (Configuration.Api.Models.v1.Common.KeyValue)
script
string | null
addedCount
integer (int32)
modifiedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
hasError
boolean
exceptionJson
string | null
exceptionMessage
string | null
resultErrors
Array of object (Configuration.Api.Models.v1.Common.FileError)
object
row
integer (int32) | null
column
string | null
description
string | null
importResult
object (Configuration.Api.Models.v1.ImportResult)
fileKey
string | null
filename
string | null
dataSourceId
integer (int32)
finished
boolean
taskKey
string | null
exception
string | null
connectionCategory
object (Configuration.Api.Models.v1.Common.KeyValue)
404

Not Found

object
error
string | null